pig-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Cheolsoo Park (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (PIG-3776) Conflicting versions of jline is present in trunk
Date Mon, 24 Feb 2014 02:11:20 GMT

     [ https://issues.apache.org/jira/browse/PIG-3776?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Cheolsoo Park updated PIG-3776:
-------------------------------

    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

Committed to trunk. Thank you Josh and Daniel for reviewing the patch!

> Conflicting versions of jline is present in trunk 
> --------------------------------------------------
>
>                 Key: PIG-3776
>                 URL: https://issues.apache.org/jira/browse/PIG-3776
>             Project: Pig
>          Issue Type: Bug
>          Components: build
>            Reporter: Cheolsoo Park
>            Assignee: Cheolsoo Park
>             Fix For: 0.13.0
>
>         Attachments: PIG-3776-1.patch
>
>
> This is a regression of PIG-3573.
> In ivy/libraries.properties, the version of jline is specified as 0.9.94-
> {code}
> jline.version=0.9.94
> {code}
> But since jline is also a dependency of accumulo, jline-1.0.jar is pulled down at compile
time-
> {code}
> $ ls build/ivy/lib/Pig/jline-*
> build/ivy/lib/Pig/jline-1.0.jar
> {code}
> Now when pig-withouthadoop.jar is built, jline-1.0.jar is not packaged because ant looks
for jline-0.9.94.jar-
> {code}
> <include name="jline-${jline.version}.jar"/>
> {code}
> This causes a ClassNotFount exception at runtime.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message